unit schComisionesServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schComisionesClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_Facturas_ComisionDelta = '{88A76329-95DC-43B9-B006-2105266C4624}';
  RID_ComisionesDelta = '{09A69155-5018-438D-B5C6-F0C7C44D67A1}';
  RID_V_Detalles_Facturas_ComisionDelta = '{E0EC6778-1F46-4E20-AFD3-40F830E827D0}';

type
  { IFacturas_ComisionDelta }
  IFacturas_ComisionDelta = interface(IFacturas_Comision)
  ['{88A76329-95DC-43B9-B006-2105266C4624}']
    { Property getters and setters }
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_AGENTEValue : Integer;
    function GetOldAGENTEValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_COMISION_LIQUIDADAValue : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldCLIENTEValue : String;
    function GetOldID_PROVEEDORValue : Integer;
    function GetOldPROVEEDORValue : String;
    function GetOldCOMISIONValue : Float;
    function GetOldIMPORTE_COMISIONABLEValue : Currency;
    function GetOldIMPORTE_COMISIONValue : Currency;

    { Properties }
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
  end;

  { TFacturas_ComisionBusinessProcessorRules }
  TFacturas_ComisionBusinessProcessorRules = class(TDABusinessProcessorRules, IFacturas_Comision, IFacturas_ComisionDelta)
  private
  protected
    { Property getters and setters }
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetID_AGENTEIsNull: Boolean; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEIsNull: Boolean; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    procedure SetID_AGENTEIsNull(const aValue: Boolean); virtual;
    function GetAGENTEValue: String; virtual;
    function GetAGENTEIsNull: Boolean; virtual;
    function GetOldAGENTEValue: String; virtual;
    function GetOldAGENTEIsNull: Boolean; virtual;
    procedure SetAGENTEValue(const aValue: String); virtual;
    procedure SetAGENTEIsNull(const aValue: Boolean); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetID_FACTURAIsNull: Boolean; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAIsNull: Boolean; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    procedure SetID_FACTURAIsNull(const aValue: Boolean); virtual;
    function GetID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetID_COMISION_LIQUIDADAIsNull: Boolean; virtual;
    function GetOldID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetOldID_COMISION_LIQUIDADAIsNull: Boolean; virtual;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer); virtual;
    procedure SetID_COMISION_LIQUIDADAIsNull(const aValue: Boolean); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetFECHAIsNull: Boolean; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    function GetOldFECHAIsNull: Boolean; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    procedure SetFECHAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetSITUACIONIsNull: Boolean; virtual;
    function GetOldSITUACIONValue: String; virtual;
    function GetOldSITUACIONIsNull: Boolean; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    procedure SetSITUACIONIsNull(const aValue: Boolean); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetID_CLIENTEIsNull: Boolean; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEIsNull: Boolean; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    procedure SetID_CLIENTEIsNull(const aValue: Boolean); virtual;
    function GetCLIENTEValue: String; virtual;
    function GetCLIENTEIsNull: Boolean; virtual;
    function GetOldCLIENTEValue: String; virtual;
    function GetOldCLIENTEIsNull: Boolean; virtual;
    procedure SetCLIENTEValue(const aValue: String); virtual;
    procedure SetCLIENTEIsNull(const aValue: Boolean); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    function GetID_PROVEEDORIsNull: Boolean; virtual;
    function GetOldID_PROVEEDORValue: Integer; virtual;
    function GetOldID_PROVEEDORIsNull: Boolean; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    procedure SetID_PROVEEDORIsNull(const aValue: Boolean); virtual;
    function GetPROVEEDORValue: String; virtual;
    function GetPROVEEDORIsNull: Boolean; virtual;
    function GetOldPROVEEDORValue: String; virtual;
    function GetOldPROVEEDORIsNull: Boolean; virtual;
    procedure SetPROVEEDORValue(const aValue: String); virtual;
    procedure SetPROVEEDORIsNull(const aValue: Boolean); virtual;
    function GetCOMISIONValue: Float; virtual;
    function GetCOMISIONIsNull: Boolean; virtual;
    function GetOldCOMISIONValue: Float; virtual;
    function GetOldCOMISIONIsNull: Boolean; virtual;
    procedure SetCOMISIONValue(const aValue: Float); virtual;
    procedure SetCOMISIONIsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_COMISIONABLEValue: Currency; virtual;
    function GetIMPORTE_COMISIONABLEIsNull: Boolean; virtual;
    function GetOldIMPORTE_COMISIONABLEValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONABLEIsNull: Boolean; virtual;
    procedure SetIMPORTE_COMISIONABLEValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_COMISIONABLEIsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_COMISIONValue: Currency; virtual;
    function GetIMPORTE_COMISIONIsNull: Boolean; virtual;
    function GetOldIMPORTE_COMISIONValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONIsNull: Boolean; virtual;
    procedure SetIMPORTE_COMISIONValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_COMISIONIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property ID_AGENTEIsNull : Boolean read GetID_AGENTEIsNull write SetID_AGENTEIsNull;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldID_AGENTEIsNull : Boolean read GetOldID_AGENTEIsNull;
    property AGENTE : String read GetAGENTEValue write SetAGENTEValue;
    property AGENTEIsNull : Boolean read GetAGENTEIsNull write SetAGENTEIsNull;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldAGENTEIsNull : Boolean read GetOldAGENTEIsNull;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_FACTURAIsNull : Boolean read GetID_FACTURAIsNull write SetID_FACTURAIsNull;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_FACTURAIsNull : Boolean read GetOldID_FACTURAIsNull;
    property ID_COMISION_LIQUIDADA : Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property ID_COMISION_LIQUIDADAIsNull : Boolean read GetID_COMISION_LIQUIDADAIsNull write SetID_COMISION_LIQUIDADAIsNull;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldID_COMISION_LIQUIDADAIsNull : Boolean read GetOldID_COMISION_LIQUIDADAIsNull;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property FECHAIsNull : Boolean read GetFECHAIsNull write SetFECHAIsNull;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldFECHAIsNull : Boolean read GetOldFECHAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property SITUACIONIsNull : Boolean read GetSITUACIONIsNull write SetSITUACIONIsNull;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldSITUACIONIsNull : Boolean read GetOldSITUACIONIsNull;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_CLIENTEIsNull : Boolean read GetID_CLIENTEIsNull write SetID_CLIENTEIsNull;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_CLIENTEIsNull : Boolean read GetOldID_CLIENTEIsNull;
    property CLIENTE : String read GetCLIENTEValue write SetCLIENTEValue;
    property CLIENTEIsNull : Boolean read GetCLIENTEIsNull write SetCLIENTEIsNull;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property OldCLIENTEIsNull : Boolean read GetOldCLIENTEIsNull;
    property ID_PROVEEDOR : Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property ID_PROVEEDORIsNull : Boolean read GetID_PROVEEDORIsNull write SetID_PROVEEDORIsNull;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldID_PROVEEDORIsNull : Boolean read GetOldID_PROVEEDORIsNull;
    property PROVEEDOR : String read GetPROVEEDORValue write SetPROVEEDORValue;
    property PROVEEDORIsNull : Boolean read GetPROVEEDORIsNull write SetPROVEEDORIsNull;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property OldPROVEEDORIsNull : Boolean read GetOldPROVEEDORIsNull;
    property COMISION : Float read GetCOMISIONValue write SetCOMISIONValue;
    property COMISIONIsNull : Boolean read GetCOMISIONIsNull write SetCOMISIONIsNull;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldCOMISIONIsNull : Boolean read GetOldCOMISIONIsNull;
    property IMPORTE_COMISIONABLE : Currency read GetIMPORTE_COMISIONABLEValue write SetIMPORTE_COMISIONABLEValue;
    property IMPORTE_COMISIONABLEIsNull : Boolean read GetIMPORTE_COMISIONABLEIsNull write SetIMPORTE_COMISIONABLEIsNull;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISIONABLEIsNull : Boolean read GetOldIMPORTE_COMISIONABLEIsNull;
    property IMPORTE_COMISION : Currency read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;
    property IMPORTE_COMISIONIsNull : Boolean read GetIMPORTE_COMISIONIsNull write SetIMPORTE_COMISIONIsNull;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
    property OldIMPORTE_COMISIONIsNull : Boolean read GetOldIMPORTE_COMISIONIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IComisionesDelta }
  IComisionesDelta = interface(IComisiones)
  ['{09A69155-5018-438D-B5C6-F0C7C44D67A1}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldID_AGENTEValue : Integer;
    function GetOldDESCRIPCIONValue : String;
    function GetOldFECHAValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Currency;
    function GetOldUSUARIOValue : String;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TComisionesBusinessProcessorRules }
  TComisionesBusinessProcessorRules = class(TDABusinessProcessorRules, IComisiones, IComisionesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetID_AGENTEIsNull: Boolean; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEIsNull: Boolean; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    procedure SetID_AGENTEIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetFECHAIsNull: Boolean; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    function GetOldFECHAIsNull: Boolean; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    procedure SetFECHAIsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetIMPORTE_TOTALIsNull: Boolean; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALIsNull: Boolean; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetUSUARIOIsNull: Boolean; virtual;
    function GetOldUSUARIOValue: String; virtual;
    function GetOldUSUARIOIsNull: Boolean; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    procedure SetUSUARIOIsNull(const aValue: Boolean); virtual;
    function GetNOMBREValue: String; virtual;
    function GetNOMBREIsNull: Boolean; virtual;
    function GetOldNOMBREValue: String; virtual;
    function GetOldNOMBREIsNull: Boolean; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    procedure SetNOMBREIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property ID_AGENTEIsNull : Boolean read GetID_AGENTEIsNull write SetID_AGENTEIsNull;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldID_AGENTEIsNull : Boolean read GetOldID_AGENTEIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property FECHAIsNull : Boolean read GetFECHAIsNull write SetFECHAIsNull;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldFECHAIsNull : Boolean read GetOldFECHAIsNull;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull : Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldIMPORTE_TOTALIsNull : Boolean read GetOldIMPORTE_TOTALIsNull;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull : Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldUSUARIOIsNull : Boolean read GetOldUSUARIOIsNull;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull : Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldNOMBREIsNull : Boolean read GetOldNOMBREIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IV_Detalles_Facturas_ComisionDelta }
  IV_Detalles_Facturas_ComisionDelta = interface(IV_Detalles_Facturas_Comision)
  ['{E0EC6778-1F46-4E20-AFD3-40F830E827D0}']
    { Property getters and setters }
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_AGENTEValue : Integer;
    function GetOldAGENTEValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_COMISION_LIQUIDADAValue : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldCLIENTEValue : String;
    function GetOldID_PROVEEDORValue : Integer;
    function GetOldPROVEEDORValue : String;
    function GetOldCOMISIONValue : Float;
    function GetOldIMPORTE_COMISIONABLEValue : Currency;
    function GetOldIMPORTE_COMISIONValue : Currency;

    { Properties }
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
  end;

  { TV_Detalles_Facturas_ComisionBusinessProcessorRules }
  TV_Detalles_Facturas_ComisionBusinessProcessorRules = class(TDABusinessProcessorRules, IV_Detalles_Facturas_Comision, IV_Detalles_Facturas_ComisionDelta)
  private
  protected
    { Property getters and setters }
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetID_AGENTEIsNull: Boolean; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEIsNull: Boolean; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    procedure SetID_AGENTEIsNull(const aValue: Boolean); virtual;
    function GetAGENTEValue: String; virtual;
    function GetAGENTEIsNull: Boolean; virtual;
    function GetOldAGENTEValue: String; virtual;
    function GetOldAGENTEIsNull: Boolean; virtual;
    procedure SetAGENTEValue(const aValue: String); virtual;
    procedure SetAGENTEIsNull(const aValue: Boolean); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetID_FACTURAIsNull: Boolean; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAIsNull: Boolean; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    procedure SetID_FACTURAIsNull(const aValue: Boolean); virtual;
    function GetID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetID_COMISION_LIQUIDADAIsNull: Boolean; virtual;
    function GetOldID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetOldID_COMISION_LIQUIDADAIsNull: Boolean; virtual;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer); virtual;
    procedure SetID_COMISION_LIQUIDADAIsNull(const aValue: Boolean); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetFECHAIsNull: Boolean; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    function GetOldFECHAIsNull: Boolean; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    procedure SetFECHAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetSITUACIONIsNull: Boolean; virtual;
    function GetOldSITUACIONValue: String; virtual;
    function GetOldSITUACIONIsNull: Boolean; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    procedure SetSITUACIONIsNull(const aValue: Boolean); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetID_CLIENTEIsNull: Boolean; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEIsNull: Boolean; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    procedure SetID_CLIENTEIsNull(const aValue: Boolean); virtual;
    function GetCLIENTEValue: String; virtual;
    function GetCLIENTEIsNull: Boolean; virtual;
    function GetOldCLIENTEValue: String; virtual;
    function GetOldCLIENTEIsNull: Boolean; virtual;
    procedure SetCLIENTEValue(const aValue: String); virtual;
    procedure SetCLIENTEIsNull(const aValue: Boolean); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    function GetID_PROVEEDORIsNull: Boolean; virtual;
    function GetOldID_PROVEEDORValue: Integer; virtual;
    function GetOldID_PROVEEDORIsNull: Boolean; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    procedure SetID_PROVEEDORIsNull(const aValue: Boolean); virtual;
    function GetPROVEEDORValue: String; virtual;
    function GetPROVEEDORIsNull: Boolean; virtual;
    function GetOldPROVEEDORValue: String; virtual;
    function GetOldPROVEEDORIsNull: Boolean; virtual;
    procedure SetPROVEEDORValue(const aValue: String); virtual;
    procedure SetPROVEEDORIsNull(const aValue: Boolean); virtual;
    function GetCOMISIONValue: Float; virtual;
    function GetCOMISIONIsNull: Boolean; virtual;
    function GetOldCOMISIONValue: Float; virtual;
    function GetOldCOMISIONIsNull: Boolean; virtual;
    procedure SetCOMISIONValue(const aValue: Float); virtual;
    procedure SetCOMISIONIsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_COMISIONABLEValue: Currency; virtual;
    function GetIMPORTE_COMISIONABLEIsNull: Boolean; virtual;
    function GetOldIMPORTE_COMISIONABLEValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONABLEIsNull: Boolean; virtual;
    procedure SetIMPORTE_COMISIONABLEValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_COMISIONABLEIsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_COMISIONValue: Currency; virtual;
    function GetIMPORTE_COMISIONIsNull: Boolean; virtual;
    function GetOldIMPORTE_COMISIONValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONIsNull: Boolean; virtual;
    procedure SetIMPORTE_COMISIONValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_COMISIONIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property ID_AGENTEIsNull : Boolean read GetID_AGENTEIsNull write SetID_AGENTEIsNull;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldID_AGENTEIsNull : Boolean read GetOldID_AGENTEIsNull;
    property AGENTE : String read GetAGENTEValue write SetAGENTEValue;
    property AGENTEIsNull : Boolean read GetAGENTEIsNull write SetAGENTEIsNull;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldAGENTEIsNull : Boolean read GetOldAGENTEIsNull;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property ID_FACTURAIsNull : Boolean read GetID_FACTURAIsNull write SetID_FACTURAIsNull;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_FACTURAIsNull : Boolean read GetOldID_FACTURAIsNull;
    property ID_COMISION_LIQUIDADA : Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property ID_COMISION_LIQUIDADAIsNull : Boolean read GetID_COMISION_LIQUIDADAIsNull write SetID_COMISION_LIQUIDADAIsNull;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldID_COMISION_LIQUIDADAIsNull : Boolean read GetOldID_COMISION_LIQUIDADAIsNull;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property FECHAIsNull : Boolean read GetFECHAIsNull write SetFECHAIsNull;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldFECHAIsNull : Boolean read GetOldFECHAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property SITUACIONIsNull : Boolean read GetSITUACIONIsNull write SetSITUACIONIsNull;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldSITUACIONIsNull : Boolean read GetOldSITUACIONIsNull;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_CLIENTEIsNull : Boolean read GetID_CLIENTEIsNull write SetID_CLIENTEIsNull;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_CLIENTEIsNull : Boolean read GetOldID_CLIENTEIsNull;
    property CLIENTE : String read GetCLIENTEValue write SetCLIENTEValue;
    property CLIENTEIsNull : Boolean read GetCLIENTEIsNull write SetCLIENTEIsNull;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property OldCLIENTEIsNull : Boolean read GetOldCLIENTEIsNull;
    property ID_PROVEEDOR : Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property ID_PROVEEDORIsNull : Boolean read GetID_PROVEEDORIsNull write SetID_PROVEEDORIsNull;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldID_PROVEEDORIsNull : Boolean read GetOldID_PROVEEDORIsNull;
    property PROVEEDOR : String read GetPROVEEDORValue write SetPROVEEDORValue;
    property PROVEEDORIsNull : Boolean read GetPROVEEDORIsNull write SetPROVEEDORIsNull;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property OldPROVEEDORIsNull : Boolean read GetOldPROVEEDORIsNull;
    property COMISION : Float read GetCOMISIONValue write SetCOMISIONValue;
    property COMISIONIsNull : Boolean read GetCOMISIONIsNull write SetCOMISIONIsNull;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldCOMISIONIsNull : Boolean read GetOldCOMISIONIsNull;
    property IMPORTE_COMISIONABLE : Currency read GetIMPORTE_COMISIONABLEValue write SetIMPORTE_COMISIONABLEValue;
    property IMPORTE_COMISIONABLEIsNull : Boolean read GetIMPORTE_COMISIONABLEIsNull write SetIMPORTE_COMISIONABLEIsNull;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISIONABLEIsNull : Boolean read GetOldIMPORTE_COMISIONABLEIsNull;
    property IMPORTE_COMISION : Currency read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;
    property IMPORTE_COMISIONIsNull : Boolean read GetIMPORTE_COMISIONIsNull write SetIMPORTE_COMISIONIsNull;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
    property OldIMPORTE_COMISIONIsNull : Boolean read GetOldIMPORTE_COMISIONIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ TFacturas_ComisionBusinessProcessorRules }
constructor TFacturas_ComisionBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFacturas_ComisionBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_EMPRESA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_EMPRESA]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_EMPRESA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_EMPRESA]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_EMPRESA] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_EMPRESA] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_AGENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_AGENTE]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_AGENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_AGENTE]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_AGENTE] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_AGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_AGENTE] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionAGENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetAGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionAGENTE]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionAGENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldAGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionAGENTE]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetAGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionAGENTE] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetAGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionAGENTE] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_FACTURA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_FACTURAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_FACTURA]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_FACTURA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_FACTURAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_FACTURA]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_FACTURA] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_FACTURAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_FACTURA] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionFECHA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionFECHA]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionFECHA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionFECHA]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionFECHA] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetFECHAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionFECHA] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionREFERENCIA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionREFERENCIA]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionREFERENCIA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionREFERENCIA]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionREFERENCIA] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionREFERENCIA] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionSITUACION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetSITUACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionSITUACION]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionSITUACION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldSITUACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionSITUACION]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionSITUACION] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetSITUACIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionSITUACION] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_CLIENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_CLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_CLIENTE]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_CLIENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_CLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_CLIENTE]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_CLIENTE] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_CLIENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_CLIENTE] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCLIENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetCLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCLIENTE]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionCLIENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldCLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionCLIENTE]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetCLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCLIENTE] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetCLIENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCLIENTE] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_PROVEEDOR];
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_PROVEEDOR]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_PROVEEDOR];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_PROVEEDOR]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_PROVEEDOR] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_PROVEEDORIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_PROVEEDOR] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionPROVEEDOR];
end;

function TFacturas_ComisionBusinessProcessorRules.GetPROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionPROVEEDOR]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionPROVEEDOR];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldPROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionPROVEEDOR]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetPROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionPROVEEDOR] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetPROVEEDORIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionPROVEEDOR] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCOMISION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetCOMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCOMISION]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionCOMISION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldCOMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionCOMISION]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetCOMISIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCOMISION] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetCOMISIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCOMISION] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONABLEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONABLEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONABLEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONABLEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE] := Null;
end;

function TFacturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISION]);
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionIMPORTE_COMISION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionIMPORTE_COMISION]);
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISION] := aValue;
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISION] := Null;
end;


{ TComisionesBusinessProcessorRules }
constructor TComisionesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TComisionesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TComisionesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID];
end;

function TComisionesBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID]);
end;

function TComisionesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID];
end;

function TComisionesBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID]);
end;

procedure TComisionesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID] := Null;
end;

function TComisionesBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA];
end;

function TComisionesBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA]);
end;

function TComisionesBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_EMPRESA];
end;

function TComisionesBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_EMPRESA]);
end;

procedure TComisionesBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA] := Null;
end;

function TComisionesBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA];
end;

function TComisionesBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA]);
end;

function TComisionesBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesREFERENCIA];
end;

function TComisionesBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesREFERENCIA]);
end;

procedure TComisionesBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA] := Null;
end;

function TComisionesBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE];
end;

function TComisionesBusinessProcessorRules.GetID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE]);
end;

function TComisionesBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_AGENTE];
end;

function TComisionesBusinessProcessorRules.GetOldID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_AGENTE]);
end;

procedure TComisionesBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetID_AGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE] := Null;
end;

function TComisionesBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION];
end;

function TComisionesBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION]);
end;

function TComisionesBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesDESCRIPCION];
end;

function TComisionesBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesDESCRIPCION]);
end;

procedure TComisionesBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION] := Null;
end;

function TComisionesBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA];
end;

function TComisionesBusinessProcessorRules.GetFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA]);
end;

function TComisionesBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesFECHA];
end;

function TComisionesBusinessProcessorRules.GetOldFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesFECHA]);
end;

procedure TComisionesBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetFECHAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA] := Null;
end;

function TComisionesBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL];
end;

function TComisionesBusinessProcessorRules.GetIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL]);
end;

function TComisionesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesIMPORTE_TOTAL];
end;

function TComisionesBusinessProcessorRules.GetOldIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesIMPORTE_TOTAL]);
end;

procedure TComisionesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetIMPORTE_TOTALIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL] := Null;
end;

function TComisionesBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO];
end;

function TComisionesBusinessProcessorRules.GetUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO]);
end;

function TComisionesBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesUSUARIO];
end;

function TComisionesBusinessProcessorRules.GetOldUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesUSUARIO]);
end;

procedure TComisionesBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetUSUARIOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO] := Null;
end;

function TComisionesBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesNOMBRE];
end;

function TComisionesBusinessProcessorRules.GetNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesNOMBRE]);
end;

function TComisionesBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesNOMBRE];
end;

function TComisionesBusinessProcessorRules.GetOldNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesNOMBRE]);
end;

procedure TComisionesBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesNOMBRE] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetNOMBREIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesNOMBRE] := Null;
end;


{ TV_Detalles_Facturas_ComisionBusinessProcessorRules }
constructor TV_Detalles_Facturas_ComisionBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TV_Detalles_Facturas_ComisionBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_AGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionAGENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetAGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionAGENTE]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionAGENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldAGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionAGENTE]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetAGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionAGENTE] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetAGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionAGENTE] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_FACTURAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_FACTURAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_FACTURAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionFECHA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionFECHA]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionFECHA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionFECHA]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionFECHA] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetFECHAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionFECHA] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionSITUACION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetSITUACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionSITUACION]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionSITUACION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldSITUACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionSITUACION]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionSITUACION] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetSITUACIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionSITUACION] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_CLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_CLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_CLIENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetCLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldCLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetCLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetCLIENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_PROVEEDORIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetPROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldPROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetPROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetPROVEEDORIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCOMISION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetCOMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCOMISION]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionCOMISION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldCOMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionCOMISION]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetCOMISIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCOMISION] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetCOMISIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCOMISION] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONABLEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONABLEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONABLEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONABLEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE] := Null;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION]);
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION]);
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION] := aValue;
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_Facturas_ComisionDelta, TFacturas_ComisionBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_ComisionesDelta, TComisionesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_V_Detalles_Facturas_ComisionDelta, TV_Detalles_Facturas_ComisionBusinessProcessorRules);

end.
